#
switch(`basename $0 | sed -e s/\^make_//g -e s/\\.csh\$//g`)
  case t:
    set src=.. ; set bin=hp_tg_t ; set exe=$bin ; set make=make ; breaksw
  case g:
    set src=../cuda ; set bin=hp_tg_g ; set exe=$bin ; set make=make ; breaksw
  case w:
    set src=.. ; set bin=hp_tg_t
                 set exe=${bin}_64.exe
                 set make=(make -f Makefile.mingw) ; breaksw
  case i:
    set src=../cuda ; set bin=hp_tg_g
                      set exe=$bin
                      set make=(make -f Makefile.icc) ; breaksw
  default:
    exit 1
endsw
#
foreach rhp (rhp.h rhp.c rhp_ii.c)
  if (!(-e ${src}/${rhp})) exit 1
end
#
set dst=`pwd`
#
if (-e ${src}/$exe) mv ${src}/$exe ${dst}/${exe}.$$
#
( chdir $src ; $make -n $bin | sed -e 's/ rhp.c / rhp_ii.c /g' \
                                   -e s@${bin}\$@${dst}/${bin}_ii@g | /bin/sh )
#
foreach rhp (rhp.h rhp.c)
  mv ${src}/$rhp ${dst}/${rhp}.$$ ; cp ${dst}/$rhp $src
end
#
( chdir $src ; $make -n $bin | sed s@${bin}\$@${dst}/${bin}_mm@g | /bin/sh )
#
foreach rhp (rhp.h rhp.c)
  rm ${src}/$rhp ; mv ${dst}/${rhp}.$$ ${src}/$rhp
end
#
if (-e ${dst}/${exe}.$$) mv ${dst}/${exe}.$$ ${src}/$exe
